<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/default.html}">
<head>
    <!-- Primary Meta Tags -->
    <meta name="title" content="Score Setting">
    <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Score Setting</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
    <!--  header section-->
    <div class="flex flex-wrap flex-row items-center mt-16 mb-6">
        <h1 class="text-2xl text-blue-900 font-semibold">Score Setting</h1>
    </div>
    <div id="alert-3" class="flex p-4 mb-4 text-green-800 rounded-lg bg-green-50" role="alert" th:if="${sukses!= null}">
        <div class="ml-3 text-sm font-medium" th:text="${sukses}">
            Event Successfully Added
        </div>
        <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-green-50 text-green-500 rounded-lg focus:ring-2 focus:ring-green-400 p-1.5 hover:bg-green-200 inline-flex h-8 w-8" data-dismiss-target="#alert-3" aria-label="Close">
            <span class="sr-only">Close</span>
            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
        </button>
    </div>
    <div class="shadow-md rounded-md p-4">
        <form method="post" th:action="@{/score-setting/save}" th:object="${taskScore}">
            <div class="mb-6">
                <label for="gradeAa" class="block mb-2 text-sm font-medium text-gray-900">Grade A Min Performance (%)</label>
                <input type="number" id="gradeAa" name="gradeAa" th:field="*{gradeAa}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
            </div>
            <div class="mb-6">
                <label for="gradeBe" class="block mb-2 text-sm font-medium text-gray-900">Grade B Min Performance (%)</label>
                <input type="number" id="gradeBe" name="gradeBe" th:field="*{gradeBe}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
            </div>
            <div class="mb-6">
                <label for="gradeCe" class="block mb-2 text-sm font-medium text-gray-900">Grade C Min Performance (%)</label>
                <input type="number" id="gradeCe" name="gradeCe" th:field="*{gradeCe}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
            </div>
            <div class="mb-6">
                <label for="gradeDe" class="block mb-2 text-sm font-medium text-gray-900">Grade D Min Performance (%)</label>
                <input type="number" id="gradeDe" name="gradeDe" th:field="*{gradeDe}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
            </div>
            <button type="submit" class="w-full text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center">Save Grade Setting</button>
        </form>
    </div>
</div>
</body>
</html>